Run a script
- Base URL
-
https://{kibana_url}
-
POST
/api/endpoint/action/runscript
-
POST
/s/{space_id}/api/endpoint/action/runscript
Auth
Run a shell command on an endpoint.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
parameters
union oneOf
required
-
Exactly one of 'Raw', 'HostPath', or 'CloudFile' must be provided. CommandLine and Timeout are optional for all.
-
One of:
-
commandLine
string · min length: 1
-
Command line arguments.
-
raw
string · min length: 1
required
-
Raw script content.
-
timeout
integer · min: 1
-
Timeout in seconds.
-
commandLine
string · min length: 1
-
Command line arguments.
-
hostPath
string · min length: 1
required
-
Absolute or relative path of script on host machine.
-
timeout
integer · min: 1
-
Timeout in seconds.
-
cloudFile
string · min length: 1
required
-
Script name in cloud storage.
-
commandLine
string · min length: 1
-
Command line arguments.
-
timeout
integer · min: 1
-
Timeout in seconds.
Thank you for your feedback.